#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{VerifikatorCtr.rekanan()}"> &{'verifikator.daftar_penyedia_barang_jasa'}</a></li>
	<li class="active">&{'verifikator.detail_sertifikat'}</li>
</ol>
<div class="content">
#{alert /}
	#{if emptyData}
	<div class="bs-callout bs-callout-warning">
		<b>&{'verifikator.sertifikat_tdk_ditemukan'}</b>
		</p>
	</div>
	#{/if} 
	#{else}
	#{if roaming}
	<div class="bs-callout bs-callout-warning">
		<b>&{'verifikator.sertifikat_terdaftar'}i ${namaLpse}</b>
		</p>
	</div>
	#{/if}
	<table class="table table-sm table-bordered">
		<thead>
			<tr>
				<th>&{'verifikator.versi'}</th>
				<th>&{'verifikator.subjel'}</th>
				<th>&{'verifikator.sn'}</th>
				<th>&{'verifikator.issuer_DN'}</th>
				<th>&{'verifikator.masa'}</th>
				<th>K&{'verifikator.keterangan'}</th>
			</tr>
		</thead>
		<tbody>
			#{list certificates, as :'certificate'}
			<tr>
				<td class="horizLine">${certificate.cer_versi}</td>
				<td class="horizLine">${certificate.cer_subject_dn}</td>
				<td class="horizLine">${certificate.cer_sn}</td>
				<td class="horizLine">${certificate.cer_issuer_dn}</td>
				<td class="horizLine">${certificate.getValidDate(lastVersi)}</td>
				<td class="horizLine">${certificate.getKeterangan(lastVersi)}</td>
			</tr>
			#{/list}
		</tbody>
	</table>
	#{/else} 
	#{if !emptyData}
		#{if !roaming && certificateLast.isActive()}	
			#{form @VerifikatorCtr.revoke(certificateLast.cer_id, idRekanan), method:'POST'}
			#{button title:'Batalkan Sertifikat', confirm:'Anda yakin melakukan pembatalan sertifikat untuk penyedia ini?'/}
			#{backButton action:@VerifikatorCtr.rekanan() /} &nbsp;
			#{/form}
		#{/if}
		#{if !roaming && certificateLast.isRevokeRequest()}	
			#{form @VerifikatorCtr.cancelRevoke(certificateLast.cer_id, idRekanan), method:'POST'}
			#{button title:'Batalkan Pembatalan Sertifikat', confirm:'Anda yakin melakukan pembatalan terhadap pembatalan sertifikat untuk penyedia ini?'/}
			#{backButton action:@VerifikatorCtr.rekanan() /} &nbsp;
			#{/form}
		#{/if}
		#{if certificateLast.isRejected() || certificateLast.isRevoked()}	
			#{form @VerifikatorCtr.migrate(certificateLast.cer_id, idRekanan), method:'POST'}
			#{button title:'Migrasi Sertifikat', confirm:'Anda yakin melakukan migrasi sertifikat untuk penyedia ini?'/}
			#{backButton action:@VerifikatorCtr.rekanan() /} &nbsp;
			#{/form}
		#{/if}
	#{/if}
	#{else} 
		#{backButton action:@VerifikatorCtr.rekanan() /} &nbsp;
	#{/else} 
</div>
